# version

Version information. More...

## Defines

#define | STP_MAJOR_VERSION (5)
#define | STP_MINOR_VERSION (1)
#define | STP_MICRO_VERSION (3)
#define | STP_CURRENT_INTERFACE (2)
#define | STP_BINARY_AGE (0)
#define | STP_INTERFACE_AGE (0)
#define | STP_CHECK_VERSION(major, minor, micro)

## Functions

const char * | stp_check_version (unsigned int required_major, unsigned int required_minor, unsigned int required_micro)
| Check whether the library provides the requested version.

## Variables

const unsigned int | stp_major_version
| The library major version number.
const unsigned int | stp_minor_version
| The library minor version number.
const unsigned int | stp_micro_version
| The library micro version number.
const unsigned int | stp_current_interface
| The library ABI revision number (number of incompatible revisions).
const unsigned int | stp_binary_age
| The library ABI binary age number (number of forward-compatible revisions).
const unsigned int | stp_interface_age
| The library ABI interface age number (number of revisions of this ABI).

## Detailed Description

Version information.

Version information may be used to check the library version at compile-time, using macros, or at run-time, using constants.

## Define Documentation

#define STP_BINARY_AGE (0)

#define STP_CHECK_VERSION | ( | major,
|  | minor,
|  | micro |  | ) |

Value:

    (STP_MAJOR_VERSION >  (major) ||                \
      (STP_MAJOR_VERSION == (major) &&              \
       STP_MINOR_VERSION > (minor)) ||              \
      (STP_MAJOR_VERSION == (major) &&              \
       STP_MINOR_VERSION == (minor) &&              \
       STP_MICRO_VERSION >= (micro)))

#define STP_CURRENT_INTERFACE (2)

#define STP_INTERFACE_AGE (0)

#define STP_MAJOR_VERSION (5)

#define STP_MICRO_VERSION (3)

#define STP_MINOR_VERSION (1)

## Function Documentation

const char* stp_check_version | ( | unsigned int | required_major,
|  | unsigned int | required_minor,
|  | unsigned int | required_micro |
| ) |  |  |

Check whether the library provides the requested version.

Parameters:

  | required_major | the minimum major revision.
  | required_minor | the minimum minor revision.
  | required_micro | the minimum micro revision.

Returns:
  NULL if the version matches, or else a description of the error if the library is too old or too new.

## Variable Documentation

const unsigned int stp_binary_age

The library ABI binary age number (number of forward-compatible revisions).

const unsigned int stp_current_interface

The library ABI revision number (number of incompatible revisions).

const unsigned int stp_interface_age

The library ABI interface age number (number of revisions of this ABI).

const unsigned int stp_major_version

The library major version number.

const unsigned int stp_micro_version

The library micro version number.

const unsigned int stp_minor_version

The library minor version number.